{
	"name": "heaptrader",
	"private": true,
	"version": "0.0.1",
	"type": "module",
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"preview": "vite preview",
		"prepare": "svelte-kit sync || echo ''",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"format": "prettier --write .",
		"lint": "prettier --check . && eslint .",
		"storybook": "storybook dev -p 6006",
		"build-storybook": "storybook build",
		"test": "jest"
	},
	"devDependencies": {
		"@babel/core": "^7.28.5",
		"@babel/preset-env": "^7.28.5",
		"@babel/preset-typescript": "^7.28.5",
		"@chromatic-com/storybook": "^4.1.2",
		"@eslint/compat": "^1.4.0",
		"@eslint/js": "^9.38.0",
		"@fontsource/fira-mono": "^5.2.7",
		"@neoconfetti/svelte": "^2.2.2",
		"@storybook/addon-a11y": "^10.0.5",
		"@storybook/addon-docs": "^10.0.5",
		"@storybook/addon-svelte-csf": "^5.0.10",
		"@storybook/addon-vitest": "^10.0.5",
		"@storybook/sveltekit": "^10.0.5",
		"@sveltejs/adapter-node": "^5.4.0",
		"@sveltejs/kit": "^2.47.1",
		"@sveltejs/vite-plugin-svelte": "^6.2.1",
		"@tailwindcss/forms": "^0.5.10",
		"@tailwindcss/vite": "^4.1.14",
		"@types/node": "^24",
		"axios-mock-adapter": "^2.1.0",
		"babel-jest": "^30.2.0",
		"eslint": "^9.38.0",
		"eslint-config-prettier": "^10.1.8",
		"eslint-plugin-storybook": "^10.0.5",
		"eslint-plugin-svelte": "^3.12.4",
		"globals": "^16.4.0",
		"jest": "^30.2.0",
		"prettier": "^3.6.2",
		"prettier-plugin-svelte": "^3.4.0",
		"prettier-plugin-tailwindcss": "^0.7.1",
		"storybook": "^10.0.5",
		"svelte": "^5.41.0",
		"svelte-check": "^4.3.3",
		"tailwindcss": "^4.1.14",
		"typescript": "^5.9.3",
		"typescript-eslint": "^8.46.1",
		"vite": "^7.1.10"
	},
	"dependencies": {
		"axios": "^1.13.2",
		"consola": "^3.4.2",
		"zod": "^4.1.12"
	}
}
